import mwpy_gameobject

MWPYGameObject = mwpy_gameobject.MWPYGameObject
MWPYGameObjectType = mwpy_gameobject.MWPYGameObjectType
MWPYGameObjectState = mwpy_gameobject.MWPYGameObjectState


class MWPYOutTeleport(MWPYGameObject):
	def __init__(self, gameObjectType = MWPYGameObjectType['MWGOT_OUTTELEPORT']):
		MWPYGameObject.__init__(self, gameObjectType)
		self.out_actor_status = "AS_LEFT"
		self.max_life_time = 10000
		self.is_static = True
	def can_render(self):
		return True
	def can_update(self):
		return True
	def do_update(self, delta, currenttime, world_dict):
		return None
